> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Virtual Terminal



## OpenAPI

````yaml openapi.json post /terminal
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /terminal:
    parameters: []
    post:
      tags:
        - Branches
        - Virtual Terminal
      summary: Create Virtual Terminal
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                storeId:
                  type: string
                activeAgentId:
                  type: string
            example:
              name: Lambe 01
              storeId: 9ab67f41-10c9-4f52-adfc-31f460980966
              activeAgentId: 8e669778-604a-4e60-b0fe-b88f4a2c876d
      responses:
        '201':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '420'
            ETag:
              schema:
                type: string
              example: W/"1a4-V4bbybiiXl+YXU+vXIh26P2UrUU"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Tue, 24 Dec 2024 02:34:02 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Create Virtual Terminal - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      mode:
                        type: string
                      name:
                        type: string
                      storeId:
                        type: string
                      merchantId:
                        type: string
                      walletId:
                        type: string
                      phoneNumber:
                        type: string
                        format: utc-millisec
                      code:
                        type: string
                      updatedAt:
                        type: string
                        format: date-time
                      createdAt:
                        type: string
                        format: date-time
                      activeAgentId:
                        nullable: true
                      deletedAt:
                        nullable: true
              example:
                status: true
                message: Terminal successfully created.
                data:
                  id: 00319ac9-ab60-48be-9604-fc62004b0f55
                  mode: SANDBOX
                  name: Lambe 01
                  storeId: 9ab67f41-10c9-4f52-adfc-31f460980966
                  merchantId: bb80715c-dcbc-460c-a8e4-203b63b03fce
                  walletId: 2e9dc318-92ab-4a79-8442-c4dfd65247b5
                  phoneNumber: '2349129384663'
                  code: Terminal 1
                  updatedAt: '2024-12-27T14:38:18.534Z'
                  createdAt: '2024-12-27T14:38:18.534Z'
                  activeAgentId: null
                  deletedAt: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````